<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-08-24T00:12:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Randy Chu</User>
    <Comment>tested on DataPro
4.0.1174
4.2.460
4.3.316

Verified able to import the e2x file attached to this ticket, using sensor database import. 4 sensors are imported. attributes are match with file description.

If use testsetup import wizard. the wizard stuck. MS 40750: </Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2024-08-02T00:35:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Randy Chu</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-07-31T22:32:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2024-03-26T20:29:32Z</TimeStamp>
    <ReleaseNote>Addresses an issue where EQX sensors were not imported</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-03-21T15:43:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-03-21T15:43:43Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.2/4.3@50478

prepatch importing the attached EQX file as a sensors import will not import sensors, post patch it will.

The reason pre-patch it wouldn't import is the commit was being rejected by the database because the ISOChannelName parameter was null.  In patched code an empty string is used if the parameter is null.

this parameter in the EQX file looks to be coming from "LocationLongname"
sd.ISOChannelName = sensor.LocationLongname;</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2024-03-18T18:22:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>this appears to happen because ISOChannelName is null, if it had been an empty value it would have worked fine.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-03-18T18:01:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-03-18T17:58:46Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-03-13T15:32:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>##- Please type your reply above this line -##
 
You have been assigned to this ticket (#13216).
 
 
 
          
Kate Martin (DTS)
 
Mar 13, 2024, 07:45 PDT
 
Hi Dan
  
 I have an old 6DX sensor that I wanted to use for a demo but wanted to use for a demo but when I try to import even though I get the overview page ...
  
 
  
 and it appears to import ...
  
 
  
 it does not and there is no "why it didn't import" user message ... 
  
 
  
 This makes no difference..
  
 
  
 The log ...
  
 
  
 EQX attached.
  
 This also seems to effect earlier DP versions.
  
 Thxs
 Kate
  
 
 
 
Attachment(s)
 6DXA20132_2022-01-17.e2x
         
 
 ------------------------------------------------------------
 CUSTOMER DETAILS:
 Name: Kate Martin ( kate.martin@dtsweb.com )
 Organization: DTS
 Customer Details: 
 
You are an agent. Add a comment by replying to this email or view ticket in Zendesk Support.
    Ticket # 13216   Status Open   Requester Kate Martin   CCs -   Followers -   Group Software   Assignee Dan McFadden   Priority Normal   Type Problem   Channel Web Form    
 
 This email is a service from DTS. Delivered by Zendesk.
 
 [Z35NK5-R0P5P]Ticket-Id:13216Account-Subdomain:dtsweb</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2024-03-13T15:32:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>